/* dupsd  (Dumb UPS monitor Daemon)
 * Copyright (C) 1998 Malinin A. G.
 *
 * This  program  is free software;  you can redistribute it  and/or
 * modify  it  under  the  terms of the  GNU  General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed  in the hope that  it will be useful,
 * but  WITHOUT ANY WARRANTY;   without even the implied warranty of
 * MERCHANTABILITY  or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along  with  this  program;  if not,  write to the  Free Software
 * Foundation,  Inc.,   59  Temple  Place,  Suite  330,  Boston,  MA
 * 02111-1307  USA.

 * Author's E-mail address: mag@h26.216.elnet.msk.ru.
 */

/* net_dups.h */


/* DUPS state (from DUPS_OK to DUPS_error) descriptions in plain text */
extern const char *state_str[DUPS_error+1];

/* master dupsd server socket descriptor */
extern int server_fd;


/*
  retuns current state (DUPS_OK, etc) of the network UPS
  at server "server" on port "port"
*/
int
check_net_DUPS(unsigned long server, int port);

/*
  master mode dupsd server: serves incoming TCP queries on port "port"
  from slave dupsd daemons during time interval "select_timeout"
  (reports to slave dupsd daemons "current_DUPS_state")
*/
void
serve_net(int port, int select_timeout, unsigned int current_DUPS_state);
